<?php
require_once S9Y_PEAR_PATH . 'HTTP/Request.php';

@serendipity_plugin_api::load_language(dirname(__FILE__));

class serendipity_event_piwik extends serendipity_event {
    public function introspect(&$propbag) {
        global $serendipity;

	$propbag->add('name',          PLUGIN_EVENT_PIWIK_NAME);
        $propbag->add('description',   PLUGIN_EVENT_PIWIK_DESC);
        $propbag->add('author',        'Garvin/Bernd');
        $propbag->add('version',       '0.2.1');
        $propbag->add('requirements',  array('serendipity' => '1.7', 'smarty' => '2.6.7', 'php' => '5.2.0'));
        $propbag->add('event_hooks',   array('frontend_display' => true));
	$propbag->add('configuration', array('piwik_path','piwik_idsite'));
    }

    public function introspect_config_item($name, &$propbag)
    {
        switch($name) {
       	    case 'piwik_path':
                $propbag->add('type',          'string');
                $propbag->add('name',          PLUGIN_EVENT_PIWIK_PATH_NAME);
                $propbag->add('description',   PLUGIN_EVENT_PIWIK_PATH_DESC);
                $propbag->add('default', 'http://sub.example.org/sub/sub/');
                break;
            case 'piwik_idsite':
                $propbag->add('type',          'string');
                $propbag->add('name',          PLUGIN_EVENT_PIWIK_IDSITE_NAME);
                $propbag->add('description',   PLUGIN_EVENT_PIWIK_IDSITE_DESC);
                $propbag->add('default', '2');
                break;
	}
        return true;
    }

    function event_hook($event, &$bag, &$eventData, $addData = null) {
        global $serendipity;

        // RSS-Feed special case
        if ($event == 'frontend_display' && $addData['from'] == 'functions_entries:printEntries_rss') {
	    $piwik_path   = $this->get_config('piwik_path', $this->path);
            $piwik_idsite = $this->get_config('piwik_idsite', $this->idsite);
	    
	    $hooks = &$bag->get('event_hooks');

	    $eventData['body'] .= '<!-- Piwik Image Tracker--><img src="'.$piwik_path.'/piwik.php?idsite='.$piwik_idsite.'&rec=1&action_name='.$eventData['title'].'" style="border:0" alt="" /><!-- End Piwik -->';
            return true;
        }
    }
}
